Subject: bug#37436: 27.0.50; Function proposal doc-view-open-file

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 30 Jan 2021 08:33:56 +0100

Jean Louis <[email-masked]> writes:

> I have made this function now for me. But such could be improved for
> GNU Emacs so that PDF, DJVU and other doc view file could be opened
> straight from Emacs Lisp and at the specific page number for specific
> query, even query number could be implemented.
>
> (defun doc-view-open-file (file &optional page-number query match)
>   "Opens PDF file in GNU Emacs at specific page number or at
> specific match"

Makes sense to me.  I think I've asked you before -- are you willing to
sign a copyright assignment to the FSF, and then we could include this
function in doc-view.el?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no